---
this_file: LOG.md
---

# Changelog

All notable changes to the `twat-mp` project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [1.7.5] - 2025-02-15
### Changed
- Optimized CI/CD pipeline with improved GitHub Actions workflow
- Enhanced stability and performance optimizations in core multiprocessing functions
- Updated documentation and README with clearer usage examples

## [1.7.3] - 2025-02-15
### Changed
- Refined GitHub Actions release workflow
- Minor improvements to error handling in process pools
- Documentation updates for better clarity

## [1.7.0] - 2025-02-13
### Added
- Major overhaul of GitHub Actions workflows
- Improved process pool management with better resource handling
- Enhanced thread pool capabilities with optimized performance
### Changed
- Significant updates to pyproject.toml configuration
- Improved test coverage and benchmarking

## [1.6.2] - 2025-02-06
### Fixed
- Bug fixes in process pool resource management
- Enhanced stability for parallel processing operations
### Added
- Pre-commit hooks configuration for better code quality

## [1.6.0] - 2025-02-06
### Added
- Significant improvements to parallel processing capabilities
- Enhanced pool management with better resource cleanup
- New GitHub Actions workflow for automated releases
### Changed
- Major updates to project configuration and dependencies
- Improved documentation and examples

## [1.2.5] - 2025-02-06
### Changed
- Stability improvements in core multiprocessing functions
- Minor bug fixes and code cleanup
- Enhanced test coverage

## [1.2.1] - 2025-02-05
### Added
- Enhanced error handling in pool operations
- Improved documentation with better examples
### Changed
- Refined project structure and organization

## [1.1.0] - 2025-02-03
### Added
- First feature update after initial release
- Improved parallel processing utilities with better performance
- Enhanced pool management capabilities
### Changed
- Updated project dependencies and requirements

## [1.0.10] - 2025-02-05
### Fixed
- Various bug fixes in core functionality
- Enhanced stability of pool operations
### Changed
- Minor documentation improvements

## [1.0.0] - 2025-02-05
### Added
- Initial release of twat-mp
- Basic parallel processing utilities using Pathos library
- Process and Thread pool implementations with context managers
- Map decorators (amap, imap, pmap) for different parallel processing patterns
- Automatic CPU core detection for optimal performance
- Type hints and modern Python features throughout the codebase
- Comprehensive documentation and usage examples
### Changed
- Updated license year to 2025

[1.7.5]: https://github.com/twardoch/twat-mp/compare/v1.7.3...v1.7.5
[1.7.3]: https://github.com/twardoch/twat-mp/compare/v1.7.0...v1.7.3
[1.7.0]: https://github.com/twardoch/twat-mp/compare/v1.6.2...v1.7.0
[1.6.2]: https://github.com/twardoch/twat-mp/compare/v1.6.0...v1.6.2
[1.6.0]: https://github.com/twardoch/twat-mp/compare/v1.2.5...v1.6.0
[1.2.5]: https://github.com/twardoch/twat-mp/compare/v1.2.1...v1.2.5
[1.2.1]: https://github.com/twardoch/twat-mp/compare/v1.1.0...v1.2.1
[1.1.0]: https://github.com/twardoch/twat-mp/compare/v1.0.10...v1.1.0
[1.0.10]: https://github.com/twardoch/twat-mp/compare/v1.0.0...v1.0.10
[1.0.0]: https://github.com/twardoch/twat-mp/releases/tag/v1.0.0
